Page MenuHomePhabricator

Better promote ways volunteer developers can be involved in Discovery projects
Closed, ResolvedPublic

Description

We have a list of tasks tagged good first bug and Discovery, but I think the teams can be better about tagging and promoting these tasks as an introductory way of interested volunteers getting more involved in our projects.

https://phabricator.wikimedia.org/maniphest/query/qW51XhCCd8.7/#R

Working with @debt and others I'd like to see if we can figure out a way to make this part of our work (backlog grooming, weekly updates, department page on MW.org).

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 5 2016, 3:47 PM
Danny_B added a subscriber: Danny_B.Jul 5 2016, 3:53 PM

FYI: There is also patch-welcome

@Danny_B Did you change your icon? It looks good on you. :)

Thanks for the head's up on patch-welcome

Qgil triaged this task as Low priority.Jul 7 2016, 9:45 PM
Qgil added a subscriber: Qgil.

Assuming Low priority, better than no priority.

CKoerner_WMF closed this task as Resolved.Aug 3 2016, 6:06 PM

Deb and I spoke about how to best approach this. The plan is to get a meeting set up with Erik to go through the tickets in the Search backlog board on the 'later' and related columns. They'll see if we can get some tagged appropriately.

As the docent :) for the weekly updates for Discovery I'll start adding a mention to our weekly updates for tasks with the easy tag.

I can also promote how to get involved at events, like hackathons.

While not specific to Discovery it also makes since to mention on a regular basis how interested folks can participate in our technical spaces using other outreach mechanisms like social media. Mentioning easy tasks as a possible introduction is one more thing to share.

Danny_B removed a subscriber: Danny_B.Aug 3 2016, 9:17 PM
debt added a comment.Aug 3 2016, 10:53 PM

I've added a meeting for this in late-ish August (due to vacation schedules).

Qgil awarded a token.